Opened 6 years ago

Closed 6 years ago

#1628 closed defect (fixed)

cavs crash 2

Reported by: ami_stuff Owned by:
Priority: important Component: avcodec
Version: git-master Keywords: crash SIGSEGV cavs
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

tested also with

ffmpeg version N-43410-ga0d1502 Copyright (c) 2000-2012 the FFmpeg developers
  built on Aug 10 2012 02:39:29 with gcc 4.5.0 (GCC) 20100414 (Fedora MinGW 4.5.
0-1.fc14)

http://samples.mplayerhq.hu/V-codecs/VP3/STORMAHEAD_Pods_Hi_Teaser.mov

(gdb) r -vcodec cavs -i STORMAHEAD_Pods_Hi_Teaser.mov -an -f null -
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: d:\mingw\msys\1.0\ffmpeg\ffmpeg_g.exe -vcodec cavs -i STORMAHEAD_Pods_Hi_Teaser.mov -an -f null -
[New Thread 3476.0xd30]
ffmpeg version 0.10.2.git Copyright (c) 2000-2012 the FFmpeg developers
  built on Jun 28 2012 19:36:59 with gcc 4.6.1
  configuration: --disable-ffprobe --disable-ffplay --disable-asm
  libavutil      51. 63.100 / 51. 63.100
  libavcodec     54. 29.101 / 54. 29.101
  libavformat    54. 11.100 / 54. 11.100
  libavdevice    54.  0.100 / 54.  0.100
  libavfilter     3.  0.100 /  3.  0.100
  libswscale      2.  1.100 /  2.  1.100
  libswresample   0. 15.100 /  0. 15.100
[mov,mp4,m4a,3gp,3g2,mj2 @ 03a3d3f0] max_analyze_duration 5000000 reached at 501
5510
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'STORMAHEAD_Pods_Hi_Teaser.mov':
  Metadata:
    creation_time   : 2002-04-22 11:33:07
    title           : Storm Ahead - 'Pods' Teaser
    title-eng       : Storm Ahead - 'Pods' Teaser
    artist          : David Nutley
    artist-eng      : David Nutley
    copyright       : www.stormahead.com
    copyright-eng   : www.stormahead.com
  Duration: 00:01:00.00, start: 0.000000, bitrate: 1582 kb/s
    Stream #0:0(eng): Video: cavs (VP31 / 0x31335056), yuv420p, 756x304, 1466 kb
/s, 22.82 fps, 25 tbr, 600 tbn, 600 tbc
    Metadata:
      creation_time   : 2002-04-22 11:33:07
      handler_name    : Apple Alias Data Handler
    Stream #0:1(eng): Audio: mp3 (.mp3 / 0x33706D2E), 44100 Hz, stereo, s16, 128
 kb/s
    Metadata:
      creation_time   : 2002-04-22 11:33:07
      handler_name    : Apple Alias Data Handler
[graph 0 input from stream 0:0 @ 03b4e118] w:756 h:304 pixfmt:yuv420p tb:1/600 f
r:25/1 sar:0/1 sws_param:flags=2
[output stream 0:0 @ 03b4e2e8] No opaque field provided
Output #0, null, to 'pipe:':
  Metadata:
    creation_time   : 2002-04-22 11:33:07
    title           : Storm Ahead - 'Pods' Teaser
    title-eng       : Storm Ahead - 'Pods' Teaser
    artist          : David Nutley
    artist-eng      : David Nutley
    copyright       : www.stormahead.com
    copyright-eng   : www.stormahead.com
    encoder         : Lavf54.11.100
    Stream #0:0(eng): Video: rawvideo (I420 / 0x30323449), yuv420p, 756x304, q=2
-31, 200 kb/s, 90k tbn, 25 tbc
    Metadata:
      creation_time   : 2002-04-22 11:33:07
      handler_name    : Apple Alias Data Handler
Stream mapping:
  Stream #0:0 -> #0:0 (cavs -> rawvideo)
Press [q] to stop, [?] for help
[cavs @ 03b28280] weighted prediction not yet supported
    Last message repeated 11 times
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] illegal intra chroma pred mode
[cavs @ 03b28280] illegal intra cbp
Illegal intra prediction mode
    Last message repeated 4 times
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] illegal intra chroma pred mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(15,0)
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(19,0)
Illegal intra prediction mode
    Last message repeated 2 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(21,0)
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
    Last message repeated 4 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(28,0)
    Last message repeated 1 times
Illegal intra prediction mode
[cavs @ 03b28280] illegal intra chroma pred mode
    Last message repeated 1 times
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(33,0)
Illegal intra prediction mode
    Last message repeated 6 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(37,0)
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(40,0)
Illegal intra prediction mode
    Last message repeated 4 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(44,0)
    Last message repeated 1 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(45,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(46,0)
Illegal intra prediction mode
    Last message repeated 2 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(48,0)
[cavs @ 03b28280] position out of block bounds at pic 152 MB(49,0)
[cavs @ 03b28280] illegal intra cbp
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(53,0)
[cavs @ 03b28280] position out of block bounds at pic 152 MB(54,0)
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] illegal intra chroma pred mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(57,0)
    Last message repeated 1 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(58,0)
Illegal intra prediction mode
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(62,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(64,0)
Illegal intra prediction mode
    Last message repeated 2 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(67,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(68,0)
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(71,0)
Illegal intra prediction mode
    Last message repeated 7 times
[cavs @ 03b28280] position out of block bounds at pic 152 MB(77,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(78,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(79,0)
Illegal intra prediction mode
    Last message repeated 1 times
[cavs @ 03b28280] illegal intra chroma pred mode
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(83,0)
Illegal intra prediction mode
[cavs @ 03b28280] position out of block bounds at pic 152 MB(85,0)
    Last message repeated 1 times
Illegal intra prediction mode
    Last message repeated 1 times
Program received signal SIGSEGV, Segmentation fault.
0x007b332a in decode_mb_i (h=0x3b22d70, cbp_code=5)
    at libavcodec/cavsdec.c:242
242                 (d, top, left, h->l_stride);
(gdb) bt
#0  0x007b332a in decode_mb_i (h=0x3b22d70, cbp_code=5)
    at libavcodec/cavsdec.c:242
#1  0x007b6a01 in decode_pic (h=0x3b22d70) at libavcodec/cavsdec.c:562
#2  cavs_decode_frame (avctx=0x3b28280, data=0x3b20d60, data_size=0x22eedc,
    avpkt=0x22ebd8) at libavcodec/cavsdec.c:704
#3  0x00513e77 in avcodec_decode_video2 (avctx=0x3b28280, picture=0x3b20d60,
    got_picture_ptr=0x22eedc, avpkt=0x22ee10) at libavcodec/utils.c:1485
#4  0x00407bc4 in decode_video (got_output=<optimized out>,
    pkt=<optimized out>, ist=<optimized out>) at ffmpeg.c:2456
#5  output_packet (ist=0x3b20a90, pkt=0x22fbd0) at ffmpeg.c:2630
#6  0x0040d44b in transcode () at ffmpeg.c:3647
#7  0x00a3bd7b in main (argc=9, argv=0x3a32888) at ffmpeg.c:5934
(gdb)

Change History (2)

comment:1 Changed 6 years ago by cehoyos

  • Component changed from undetermined to avcodec
  • Keywords crash SIGSEGV cavs added
  • Priority changed from normal to important
  • Reproduced by developer set
  • Status changed from new to open
  • Version changed from unspecified to git-master

comment:2 Changed 6 years ago by michael

  • Resolution set to fixed
  • Status changed from open to closed
Note: See TracTickets for help on using tickets.